Subject: Re: [PATCH 06/18] chainlint.pl: validate test scripts in parallel

From: Eric Wong <[email-masked]>
Date: Tue, 6 Sep 2022 22:35:37 +0000

Eric Sunshine via GitGitGadget <[email-masked]> wrote:
> +unless ($Config{useithreads} && eval {
> +	require threads; threads->import();

Fwiw, the threads(3perl) manpage has this since 2014:

       The use of interpreter-based threads in perl is officially discouraged.

I was bummed, too :<  but I've decided it wasn't worth the
effort to deal with the problems threads could cause down the
line in future Perl versions.  For example, common libraries
like File::Temp will chdir behind-the-scenes which is
thread-unsafe.

(of course I only care about *BSD and Linux on MMU hardware,
so I use SOCK_SEQPACKET and fork() freely :>)